# IExParamType Struct Reference

Inheritance diagram for IExParamType:

List of all members.

## Public Types
enum | EOperation { kLinearOperations = 0x0001, kInvertOffset = 0x0002 }
## Public Member Functions
virtual IDType MCCOMAPI | GetType ()=0
virtual uint32 MCCOMAPI | GetSupportedOperations ()=0
virtual int32 MCCOMAPI | GetSize ()=0
virtual void MCCOMAPI | CreateParam (void *param)=0
virtual void MCCOMAPI | DeleteParam (void *param)=0
virtual void MCCOMAPI | Reset (void *param)=0
virtual void MCCOMAPI | Read (void *param, TMCiostream &stream)=0
virtual void MCCOMAPI | Write (const void *param, TMCiostream &stream)=0
virtual boolean MCCOMAPI | IsEqual (void *param1, void *param2)=0
virtual void MCCOMAPI | Copy (const void *src, void *dst)=0
virtual void MCCOMAPI | LinearInterpolate (real t, const void *src1, const void *src2, void *out)=0
virtual void MCCOMAPI | ComputeOffset (const void *src1, const void *src2, void *out)=0
virtual void MCCOMAPI | ApplyOffset (const void *src, const void *offset, void *out)=0
virtual void MCCOMAPI | InvertOffset (const void *src, void *out)=0

## Member Enumeration Documentation

enum IExParamType::EOperation

Enumerator:

  kLinearOperations |
  kInvertOffset |

## Member Function Documentation

virtual void MCCOMAPI IExParamType::ApplyOffset | ( | const void * | src,
|  | const void * | offset,
|  | void * | out |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IExParamType::ComputeOffset | ( | const void * | src1,
|  | const void * | src2,
|  | void * | out |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IExParamType::Copy | ( | const void * | src,
|  | void * | dst |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IExParamType::CreateParam | ( | void * | param | ) | `[pure virtual]`

virtual void MCCOMAPI IExParamType::DeleteParam | ( | void * | param | ) | `[pure virtual]`

virtual int32 MCCOMAPI IExParamType::GetSize | ( |  | ) | `[pure virtual]`

virtual uint32 MCCOMAPI IExParamType::GetSupportedOperations | ( |  | ) | `[pure virtual]`

virtual IDType MCCOMAPI IExParamType::GetType | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IExParamType::InvertOffset | ( | const void * | src,
|  | void * | out |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI IExParamType::IsEqual | ( | void * | param1,
|  | void * | param2 |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IExParamType::LinearInterpolate | ( | real | t,
|  | const void * | src1,
|  | const void * | src2,
|  | void * | out |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IExParamType::Read | ( | void * | param,
|  | TMCiostream & | stream |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IExParamType::Reset | ( | void * | param | ) | `[pure virtual]`

virtual void MCCOMAPI IExParamType::Write | ( | const void * | param,
|  | TMCiostream & | stream |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IExParamType.h